<script setup>
import { useAppStore, SignInStateType } from '@/stores/AppStore'
import DashboardPage from '@/pages/DashboardPage.vue'
import BeginPage from '@/pages/BeginPage.vue'
</script>


<script>
export default {

	data() {
		return {
			appStore: useAppStore(),
		}
	},

	methods: {
	},

	mounted() {
	},

}
</script>


<template>
	<DashboardPage v-if="appStore.state === SignInStateType.AlreadySignIn" />
	<BeginPage v-else />
</template>


<style scoped>

</style>
